Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.webapp.taglib
Class SimpleComponentTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.richfaces.webapp.taglib.SimpleComponentTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class SimpleComponentTag

extends UIComponentELTagBase

Author:
  Maksim Kaszynski

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from class javax.faces.webapp.UIComponentTagBase
`log`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`SimpleComponentTag()`

Method Summary
`javax.el.MethodExpression` | `getAction()`
`javax.el.MethodExpression` | `getActionListener()`
`java.lang.String` | `getComponentType()`
`javax.el.ValueExpression` | `getConverter()`
`java.lang.String` | `getRendererType()`
`javax.el.ValueExpression` | `getTitle()`
`javax.el.MethodExpression` | `getValidator()`
`javax.el.ValueExpression` | `getValue()`
`javax.el.MethodExpression` | `getValueChangeListener()`
`void` | `release()`
`void` | `setAction(javax.el.MethodExpression action)`
`void` | `setActionListener(javax.el.MethodExpression listener)`
`void` | `setConverter(javax.el.ValueExpression converter)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setTitle(javax.el.ValueExpression title)`
`void` | `setValidator(javax.el.MethodExpression validator)`
`void` | `setValue(javax.el.ValueExpression value)`
`void` | `setValueChangeListener(javax.el.MethodExpression changeListener)`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### SimpleComponentTag

    public SimpleComponentTag()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `javax.faces.webapp.UIComponentELTag`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.faces.webapp.UIComponentELTag`

### setAction

    public void setAction(javax.el.MethodExpression action)

### getAction

    public javax.el.MethodExpression getAction()

### getActionListener

    public javax.el.MethodExpression getActionListener()

### setActionListener

    public void setActionListener(javax.el.MethodExpression listener)

### getValueChangeListener

    public javax.el.MethodExpression getValueChangeListener()

### setValueChangeListener

    public void setValueChangeListener(javax.el.MethodExpression changeListener)

### getValidator

    public javax.el.MethodExpression getValidator()

### setValidator

    public void setValidator(javax.el.MethodExpression validator)

### getConverter

    public javax.el.ValueExpression getConverter()

### setConverter

    public void setConverter(javax.el.ValueExpression converter)

### getTitle

    public javax.el.ValueExpression getTitle()

### setTitle

    public void setTitle(javax.el.ValueExpression title)

### getValue

    public javax.el.ValueExpression getValue()

### setValue

    public void setValue(javax.el.ValueExpression value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.